givdegree.h File Reference

NO DOC opaque class for Degree of polynomial. More...

`#include <cstdint>`
`#include <iostream>`
Include dependency graph for givdegree.h:

## Data Structures

class | Degree
| Degree type for polynomials. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

int64_t | value (const Degree &d)
| value

## Detailed Description

NO DOC opaque class for Degree of polynomial.

Degree of polynomial 0 is Degree::deginfty with value DEGPOLYZERO.